package com.kingdee.eas.custom.expandassess;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractExpandAssessEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractExpandAssessEntryInfo()
    {
        this("id");
    }
    protected AbstractExpandAssessEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 考核人明细表 's 单据头 property 
     */
    public com.kingdee.eas.custom.expandassess.ExpandAssessInfo getParent()
    {
        return (com.kingdee.eas.custom.expandassess.ExpandAssessInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.expandassess.ExpandAssessInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 考核人明细表 's 考核人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getAssessor()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("assessor");
    }
    public void setAssessor(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("assessor", item);
    }
    /**
     * Object: 考核人明细表 's 部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object:考核人明细表's 任务系数property 
     */
    public java.math.BigDecimal getCoefficient()
    {
        return getBigDecimal("coefficient");
    }
    public void setCoefficient(java.math.BigDecimal item)
    {
        setBigDecimal("coefficient", item);
    }
    /**
     * Object:考核人明细表's 门槛值（万元）property 
     */
    public java.math.BigDecimal getThreshold()
    {
        return getBigDecimal("threshold");
    }
    public void setThreshold(java.math.BigDecimal item)
    {
        setBigDecimal("threshold", item);
    }
    /**
     * Object:考核人明细表's 目标值（万元）property 
     */
    public java.math.BigDecimal getTarget()
    {
        return getBigDecimal("target");
    }
    public void setTarget(java.math.BigDecimal item)
    {
        setBigDecimal("target", item);
    }
    /**
     * Object:考核人明细表's 挑战值（万元）property 
     */
    public java.math.BigDecimal getChallenge()
    {
        return getBigDecimal("challenge");
    }
    public void setChallenge(java.math.BigDecimal item)
    {
        setBigDecimal("challenge", item);
    }
    /**
     * Object: 考核人明细表 's 负责人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPrincipal()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("principal");
    }
    public void setPrincipal(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("principal", item);
    }
    /**
     * Object:考核人明细表's 自拓型项目（万元）property 
     */
    public java.math.BigDecimal getOneLift()
    {
        return getBigDecimal("oneLift");
    }
    public void setOneLift(java.math.BigDecimal item)
    {
        setBigDecimal("oneLift", item);
    }
    /**
     * Object:考核人明细表's 联拓联管型项目（万元）property 
     */
    public java.math.BigDecimal getUniteLift()
    {
        return getBigDecimal("uniteLift");
    }
    public void setUniteLift(java.math.BigDecimal item)
    {
        setBigDecimal("uniteLift", item);
    }
    /**
     * Object:考核人明细表's 状态property 
     */
    public com.kingdee.eas.custom.expandassess.app.ExpandStatusEunm getAsseStatus()
    {
        return com.kingdee.eas.custom.expandassess.app.ExpandStatusEunm.getEnum(getString("asseStatus"));
    }
    public void setAsseStatus(com.kingdee.eas.custom.expandassess.app.ExpandStatusEunm item)
    {
		if (item != null) {
        setString("asseStatus", item.getValue());
		}
    }
    /**
     * Object:考核人明细表's 共拓型项目-资源贡献型（万元）property 
     */
    public java.math.BigDecimal getShareLiftRes()
    {
        return getBigDecimal("shareLiftRes");
    }
    public void setShareLiftRes(java.math.BigDecimal item)
    {
        setBigDecimal("shareLiftRes", item);
    }
    /**
     * Object:考核人明细表's 共拓型项目-专业配合型（万元）property 
     */
    public java.math.BigDecimal getShareLiftZY()
    {
        return getBigDecimal("shareLiftZY");
    }
    public void setShareLiftZY(java.math.BigDecimal item)
    {
        setBigDecimal("shareLiftZY", item);
    }
    /**
     * Object:考核人明细表's 共拓型项目-流程配合型（万元）property 
     */
    public java.math.BigDecimal getShareLiftLC()
    {
        return getBigDecimal("shareLiftLC");
    }
    public void setShareLiftLC(java.math.BigDecimal item)
    {
        setBigDecimal("shareLiftLC", item);
    }
    /**
     * Object:考核人明细表's 签约额总和（万元）property 
     */
    public java.math.BigDecimal getContracts()
    {
        return getBigDecimal("contracts");
    }
    public void setContracts(java.math.BigDecimal item)
    {
        setBigDecimal("contracts", item);
    }
    /**
     * Object:考核人明细表's 排名property 
     */
    public int getRankings()
    {
        return getInt("rankings");
    }
    public void setRankings(int item)
    {
        setInt("rankings", item);
    }
    /**
     * Object:考核人明细表's 绩效评级property 
     */
    public com.kingdee.eas.custom.expandassess.app.AssessRatingEnum getAssessRate()
    {
        return com.kingdee.eas.custom.expandassess.app.AssessRatingEnum.getEnum(getString("assessRate"));
    }
    public void setAssessRate(com.kingdee.eas.custom.expandassess.app.AssessRatingEnum item)
    {
		if (item != null) {
        setString("assessRate", item.getValue());
		}
    }
    /**
     * Object:考核人明细表's 复核评级property 
     */
    public com.kingdee.eas.custom.expandassess.app.AssessRatingEnum getCheckRate()
    {
        return com.kingdee.eas.custom.expandassess.app.AssessRatingEnum.getEnum(getString("checkRate"));
    }
    public void setCheckRate(com.kingdee.eas.custom.expandassess.app.AssessRatingEnum item)
    {
		if (item != null) {
        setString("checkRate", item.getValue());
		}
    }
    /**
     * Object:考核人明细表's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object:考核人明细表's 修正考核项评级property 
     */
    public com.kingdee.eas.custom.expandassess.app.AssessRatingEnum getAmendAssessRate()
    {
        return com.kingdee.eas.custom.expandassess.app.AssessRatingEnum.getEnum(getString("amendAssessRate"));
    }
    public void setAmendAssessRate(com.kingdee.eas.custom.expandassess.app.AssessRatingEnum item)
    {
		if (item != null) {
        setString("amendAssessRate", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AB85144F");
    }
}